OS and browser incompatibility

This discussion was created from comments split from: safari extension won't install receiving error message please help.

Comments

  • I'm having a similar problem. Recently upgraded to El Capitan. Safari version is 9.1.1, 1Password version is 3.8.22 I have checked for updates on 1Password but it says I'm up to date, though I think the problem I'm having is due to an older version of 1Password (ver 3.8.22)

    After I install the Safari extension and click on it, I get the message "There is no application set to open the URL onepassword4-extension://activate/Safari. Search the App Store for an application that can open this document, or choose an existing application on your computer."

    The 1Password extension was working fine before I upgraded to El Capitan.

    Any thoughts on how to fix this issue?

  • brentybrenty

    Team Member

    @KevinL: Sorry for the confusion! I hope you don't mind, but I've split you off into a new discussion in the 1Password 3 category of the forums since you're not using 1Password 6 as the other person was.

    The old 1Password 3 app is not compatible with El Capitan. Additionally, the new browser extensions require 2013's 1Password 4 or later. There is more detail here as well:

    1Password 3: Modern browsers and OS X

    The best option will be to use 1Password 6, which fully supports El Capitan and the newest browser releases. If you already have a 1Password 4-6 license, you'll all set. Otherwise, you can use your 1Password 3 license to get upgrade pricing from the AgileBits Store. Be sure to let me know if you have any questions! :)

This discussion has been closed.